# Time-stamp: <2002-01-23 20:37:21 crabbkw>

# Code and design by Casey Crabb (crabbkw@rose-hulman.edu)
# This code is licensed under the BSD license.
# See the LICENSE file for details
#
# Copyright Casey Crabb (crabbkw@rose-hulman.edu) July 2001
#

# Constructors will only take attributes
# sub elements can be inserted by the construction side
# PCDATA will always be stored in .text

# no error checking for now, that can be done later.
class JabberStream:
    def __init__(self,to,ffrom,id):
        self.name = "JabberStream"
        self.to = to
        self.ffrom = ffrom
        self.id = id

class JabberIQ:
    def __init__(self,to,ffrom,id,type):
        self.to = to
        self.ffrom = ffrom
        self.id = id
        self.type = type
        self.ns = None

class JabberPresence:
    def __init__(self,to,ffrom,type, resource):
        self.to = to
        self.ffrom = ffrom
        self.type = type
        self.resource = resource
        self.show = None
        self.status = None
        self.priority = 0

class JabberMessage:
    def __init__(self, to, ffrom, resource, id, type):
        self.to = to
        self.ffrom = ffrom
        self.id = id
        self.type = type
        self.resource = resource

class JabberStatus:
    def __init__(self):
        self.text = None
        pass

class JabberPriority:
    def __init__(self):
        pass

class JabberShow:
    def __init__(self):
        pass

class JabberBody:
    def __init__(self):
        self.text = None

class JabberSubject:
    def __init__(self):
        pass

class JabberThread:
    def __init__(self):
        pass

class JabberError:
    def __init__(self, code):
        self.code = code

class JabberIQQueryAuth:
    def __init__(self):
        pass

class JabberIQQueryAuthUsername:
    def __init__(self):
        pass

class JabberIQQueryAuthPassword:
    def __init__(self):
        pass

class JabberIQQueryAuthDigest:
    def __init__(self):
        pass

class JabberIQQueryAuthResource:
    def __init__(self):
        pass

class JabberRoster:
    def __init__(self):
        self.users = []

class JabberRosterItem:
    def __init__(self, jid, name, subscription):
        self.jid = jid
        self.name = name
        self.subscription = subscription
        self.groups = []

class JabberOOB:
    def __init__(self):
        self.url = None
        self.desc = None

class ErrorTag:
    def __init__(self, code):
        self.code = code

class JabberRegister:
    def __init__(self):
        self.fields = []
        self.key = None
        self.instructions = ""
        pass

class JabberRegisterKey:
    def __init__(self):
        pass

class JabberAgentList:
    def __init__(self):
        self.agentlist = []

class JabberAgent:
    def __init__(self, jid):
        self.jid = jid
        self.name = None
        self.transport = None

class JabberTransportRegister:
    def __init__(self):
        self.fields = []

class JabberDummyTag:
    def __init__(self):
        pass

class JabberAdmin:
    def __init__(self):
        self.w = None

class JabberAdminWho:
    def __init__(self):
        self.presencelist = []

